#ifndef __NLL_QUEUEID_H_INCLUDED__
#define __NLL_QUEUEID_H_INCLUDED__

typedef int queueid_index_t;

int queueid_init(void);
int queueid_done(void);
int queueid_check(void);

int queueid_number(queueid_index_t index);
int queueid_headin(queueid_index_t index, value_t value);
int queueid_tailin(queueid_index_t index, value_t value);
int queueid_headout(queueid_index_t index, value_t value);
int queueid_tailout(queueid_index_t index, value_t value);

int queueid_destroy(queueid_index_t index);
queueid_index_t queueid_create(void);

#endif
